/*
    Copyright (c) 2011 ACCESS CO., LTD. All rights reserved.

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#ifdef NFB_NX_DTV // NavigatorObject

#include "config.h"
#include "Inettv.h"
#include "Frame.h"
#include "peer_nettv.h"
#include "CString.h"

namespace WebCore {

#if ENABLE(NETTV)
Inettv::Inettv()
{
}

Inettv::~Inettv()
{
}

long Inettv::getPrinterStatus(WTF::String mime_type)
{
    int ret;
    char *mime;
    CString mime_cs;
    int mime_len;

    mime_cs = mime_type.latin1();
    mime = const_cast<char*>(mime_cs.data());
    mime_len = static_cast<int>(mime_cs.length());
    ret = appGetPrinterStatusPeer(mime, mime_len);
    return static_cast<long>(ret);
}

long Inettv::printUri(WTF::String uri)
{
    int ret;
    char *url;
    CString url_cs;
    int url_len;

    url_cs = uri.latin1();
    url = const_cast<char*>(url_cs.data());
    url_len = static_cast<int>(uri.length());
    ret = appPrintPostURLPeer(url, url_len);
    return static_cast<long>(ret);
}

long Inettv::printStaticScreen(long pattern)
{
    int ret;

    ret = appPrintStaticScreenPeer(static_cast<int>(pattern));
    return static_cast<long>(ret);
}
#endif // ENABLE(NETTV)

} // namespace WebCore

#endif // NFB_NX_DTV // NavigatorObject
